<bugID>1363767<Summary>[meta] Photon - window interactions should be immediate</Summary><Description>The user should feel no delay when interacting with windows. This means the following interactions should be immediate:

- opening a new window
- closing a window (we care mostly about when the window is hidden, not when it's fully destroyed)

The meaning of "immediate" will need to be specified by UX (immediate is now considered to be "130ms on the reference hardware" for tab switching, but I think it may be ok to take a little bit longer when opening a window).

We may also have a look at what happens when resizing windows, but it's much lower priority.</Description></bugID>